ArchivePolicy
curl --request POST \
--url https://api.siftstack.com/api/v1/policies/{policyId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/policies/{policyId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/policies/{policyId}/archive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"policyId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"configuration": {
"cedarPolicy": "<string>"
},
"policyVersionId": "<string>",
"isArchived": true,
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"version": 123,
"versionNotes": "<string>",
"generatedChangeMessage": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}PolicyService
ArchivePolicy
Archive a policy.
POST
/
api
/
v1
/
policies
/
{policyId}
/
archive
ArchivePolicy
curl --request POST \
--url https://api.siftstack.com/api/v1/policies/{policyId}/archive \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/policies/{policyId}/archive"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/policies/{policyId}/archive"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"policyId": "<string>",
"name": "<string>",
"organizationId": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"configuration": {
"cedarPolicy": "<string>"
},
"policyVersionId": "<string>",
"isArchived": true,
"description": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"version": 123,
"versionNotes": "<string>",
"generatedChangeMessage": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to PolicyService_ArchivePolicy.
Show child attributes
Show child attributes
Was this page helpful?
⌘I